]> git.sur5r.net Git - bacula/bacula/commitdiff
Change test name
authorKern Sibbald <kern@sibbald.com>
Mon, 21 Jul 2003 17:30:27 +0000 (17:30 +0000)
committerKern Sibbald <kern@sibbald.com>
Mon, 21 Jul 2003 17:30:27 +0000 (17:30 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@644 91ce42f0-d328-0410-95d8-f526ca767f89

regress/all-non-root-tests
regress/tests/four-concurrent-jobs-test [new file with mode: 0755]

index 1d89005b7095c249f81385e3644e26505914da8d..94e93743b10c99077512f764964de399e155e9af 100755 (executable)
@@ -15,7 +15,7 @@ tests/six-vol-test
 tests/bscan-test
 tests/wierd-files2-test
 tests/concurrent-jobs-test
-tests/concurrent2-jobs-test
+tests/four-concurrent-jobs-test
 tests/bsr-opt-test
 tests/bextract-test
 tests/recycle-test
diff --git a/regress/tests/four-concurrent-jobs-test b/regress/tests/four-concurrent-jobs-test
new file mode 100755 (executable)
index 0000000..8efd332
--- /dev/null
@@ -0,0 +1,79 @@
+#!/bin/sh
+#
+# Run two jobs at the same time
+#
+cwd=`pwd`
+scripts/copy-test-confs
+scripts/cleanup
+echo "${cwd}/build" >/tmp/file-list
+bin/bacula stop 2>&1 >/dev/null
+bin/drop_sqlite_tables
+bin/make_sqlite_tables
+
+echo " "
+echo " "
+echo " === Starting four-concurrent-jobs-test  ==="
+echo " === Starting four-concurrent-jobs-test  ===" >>working/log
+echo " "
+
+bin/bacula start 2>&1 >/dev/null
+bin/console -c bin/console.conf <<END_OF_DATA
+@output /dev/null
+messages
+@output tmp/log1.out
+label storage=File1
+TestVolume001
+label storage=File1
+TestVolume002
+update Volume=TestVolume001
+6
+100000000
+@#50000000
+10
+run job=NightlySave level=Full Storage=File1
+yes
+run job=NightlySave level=Full Storage=File1
+yes
+run job=NightlySave level=Full Storage=File1
+yes
+run job=NightlySave level=Full Storage=File1
+yes
+@sleep 2
+status dir
+@sleep 5
+messages
+wait
+messages
+@# 
+@# now do a restore
+@#
+@output tmp/log2.out
+restore where=${cwd}/tmp/bacula-restores
+5
+done
+yes
+wait
+messages
+@output
+quit
+END_OF_DATA
+
+bin/bacula stop 2>&1 >/dev/null
+grep "^Termination: *Backup OK" tmp/log1.out 2>&1 >/dev/null
+bstat=$?
+grep "^Termination: *Restore OK" tmp/log2.out 2>&1 >/dev/null
+rstat=$?
+diff -r build tmp/bacula-restores${cwd}/build
+if [ $? != 0 -o $bstat != 0 -o $rstat != 0 ] ; then
+   echo " "
+   echo " "
+   echo "  !!!!! four-concurrent-jobs-test Bacula source failed!!! !!!!! "
+   echo "  !!!!! four-concurrent-jobs-test failed!!! !!!!! " >>test.out
+   echo " "
+   exit 1
+else
+   echo "  ===== four-concurrent-jobs-test Bacula source OK ===== "
+   echo "  ===== four-concurrent-jobs-test OK ===== " >>test.out
+   scripts/cleanup
+   exit 0
+fi